]> git.pld-linux.org Git - packages/vtun.git/commitdiff
- LSB conformance
authorankry <ankry@pld-linux.org>
Sun, 25 May 2003 16:18:46 +0000 (16:18 +0000)
committercvs2git <feedback@pld-linux.org>
Sun, 24 Jun 2012 12:13:13 +0000 (12:13 +0000)
Changed files:
    vtun.init -> 1.7

vtun.init

index 81fb89cc580996b98258d53f79ab97dbfd5651c7..c66a240e6fe73e800292e75ddd8c892c872dc61f 100644 (file)
--- a/vtun.init
+++ b/vtun.init
@@ -49,7 +49,7 @@ else
        err_exit "Invalid VTUND_MODE ($VTUND_MODE), should be set to \"server\" or \"client\""
 fi
 
-
+RETVAL=0
 # See how we were called.
 case "$1" in
   start)
@@ -61,38 +61,30 @@ case "$1" in
                [ $RETVAL -eq 0 ] && touch /var/lock/subsys/vtund
        else
                msg_already_running Vtund
-               exit 1
        fi
-                                                                                                                                                               
        ;;
   stop)
        if [ -f /var/lock/subsys/vtund ]; then
                # Stop daemons.
                msg_stopping Vtund
                killproc vtund
-               RETVAL=$?
                rm -f /var/lock/subsys/vtund >/dev/null 2>&1
        else
                msg_not_running Vtund
-               exit 1
        fi
        ;;
-  restart|reload)
+  restart|force-reload)
        $0 stop
        $0 start
        exit $?
        ;;
-  force-reload)
-       $0 stop && $0 start
-       exit $?
-       ;;
   status)
        status vtund
        exit $?
        ;;
   *)
-       msg_usage "$0 {start|stop|restart|reload|force-reload|status}"
-       exit 1
+       msg_usage "$0 {start|stop|restart|force-reload|status}"
+       exit 3
 esac
 
 exit $RETVAL
This page took 0.180756 seconds and 4 git commands to generate.